<div class="admin-col">
  <div class="admin-col-title">
    <%= (step_tool.name||step_tool.tool.name) %>
  </div>
    <%= simple_form_for custom_field,
          wrapper: :horizontal_form,
          wrapper_mappings: {
            boolean:       :horizontal_boolean,
            check_boxes:   :horizontal_collection,
            date:          :horizontal_multi_select,
            datetime:      :horizontal_multi_select,
            file:          :horizontal_file,
            radio_buttons: :horizontal_collection,
            range:         :horizontal_range,
            time:          :horizontal_multi_select } do |f| %>
      <%= hidden_field_tag 'step_tool', step_tool.id %>

      <!-- Version avec la cloture (dates + dates des début/fins d'étapes) -->
      <% if step_tool.tool_options && step_tool.tool_options[:closure] == true %>
        <%= f.simple_fields_for :rca, custom_field.rca do |rca_form| %>
          <%= rca_form.input :created_at, as: :date, html5: true %>
          <%= rca_form.input :updated_at, as: :date, html5: true %>
          <% if custom_field.rca.step_finished?(step_tool.step) %>
            <%= rca_form.input :closed_at, as: :date, html5: true %>
          <% else %>
            <div class="form-group row">
              <%= rca_form.label :closed_at, class: 'col-sm-3 col-form-label' %>
            </div>
          <% end %>

          <% tool_custom_fields.each do |tool_custom_field| %>
            <div class="form-inputs">
              <% # puts "#{tool_custom_field.id} - #{tool_custom_field.custom_field_desc.name} - #{tool_custom_field.obligatory}".yellow %>
              <%= input_custom_field(f, custom_field, tool_custom_field.custom_field_desc, obligatory: tool_custom_field.obligatory) %>
            </div>
          <% end %>

          <hr>
          <%= rca_form.simple_fields_for :rca_advances, custom_field.rca.rca_advances_used do |adv_form| %>
            <div class="row">
              <div class="col-2">
                <b><%= adv_form.object.meth_step.name %></b>
              </div>
              <% if adv_form.object.date_start || adv_form.object.date_finish %>
                <div class="col-5">
                  <% if adv_form.object.date_start %>
                    <%= adv_form.input :date_start, as: :date, html5: true %>
                  <% else %>
                    -
                  <% end %>
                </div>
                <div class="col-5">
                  <% if adv_form.object.date_finish %>
                    <%= adv_form.input :date_finish, as: :date, html5: true %>
                  <% else %>
                    -
                  <% end %>
                </div>
              <% else %>
                <div class="col-10">not started</div>
              <% end %>
            </div>
          <% end %>
          <hr>
        <% end %>

      <!-- Version sans la cloture -->
      <% else %>
        <% tool_custom_fields.each do |tool_custom_field| %>
          <div class="form-inputs">
            <% # puts "#{tool_custom_field.id} - #{tool_custom_field.custom_field_desc.name} - #{tool_custom_field.obligatory}".yellow %>
            <%= input_custom_field(f, custom_field, tool_custom_field.custom_field_desc, obligatory: tool_custom_field.obligatory) %>
          </div>
        <% end %>
      <% end %>

      <%= f.button :submit, t('.save'), class: 'btn-outline-warning btn-prowhy' %>
    <% end %>
    <br>
  </div>
</div>
